Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.debug
Class AbstractDebug

    java.lang.Object
      |
      +--uk.ac.man.bioinf.debug.AbstractDebug

All Implemented Interfaces:
  DebugInterface

Direct Known Subclasses:
  CinemaDebug.DebugImpl, CinemaDebug.DebugImpl, DefaultDebug, DefaultFileDebug, NullDebug

public abstract class AbstractDebug
extends Object
implements DebugInterface

AbstractDebug.java Created: Wed Mar 1 22:22:22 2000

Version:
Author:
  Phillip Lord

Constructor Summary
`AbstractDebug()`

Method Summary
`void` | `both(Class cla, Object message, Throwable th)`
`void` | `both(Class cla, String message, Throwable th)`
`void` | `both(Object obj, Object message, Throwable th)`
`void` | `both(Object obj, String message, Throwable th)`
`void` | `message(Class cla, Object message)`
`abstract void` | `message(Class cla, String message)`
`void` | `message(Object obj, Object message)`
`void` | `message(Object obj, String message)`
`abstract void` | `throwable(Class cla, Throwable th)`
`void` | `throwable(Object obj, Throwable th)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractDebug

    public AbstractDebug()

Method Detail

### message

    public abstract void message(Class cla,
                                 String message)

  Specified by:
    `message` in interface `DebugInterface`

### throwable

    public abstract void throwable(Class cla,
                                   Throwable th)

  Specified by:
    `throwable` in interface `DebugInterface`

### message

    public void message(Object obj,
                        String message)

  Specified by:
    `message` in interface `DebugInterface`

### message

    public void message(Object obj,
                        Object message)

  Specified by:
    `message` in interface `DebugInterface`

### message

    public void message(Class cla,
                        Object message)

  Specified by:
    `message` in interface `DebugInterface`

### throwable

    public void throwable(Object obj,
                          Throwable th)

  Specified by:
    `throwable` in interface `DebugInterface`

### both

    public void both(Object obj,
                     String message,
                     Throwable th)

  Specified by:
    `both` in interface `DebugInterface`

### both

    public void both(Class cla,
                     String message,
                     Throwable th)

  Specified by:
    `both` in interface `DebugInterface`

### both

    public void both(Object obj,
                     Object message,
                     Throwable th)

  Specified by:
    `both` in interface `DebugInterface`

### both

    public void both(Class cla,
                     Object message,
                     Throwable th)

  Specified by:
    `both` in interface `DebugInterface`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD